# Test: critical_actions with valid strings
# Expected: PASS

agent:
  metadata:
    id: valid-critical-actions
    name: Valid Critical Actions
    title: Valid Critical Actions
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with critical actions
    identity: I am a test agent with valid critical actions.
    communication_style: Clear
    principles:
      - Test valid arrays

  critical_actions:
    - Load configuration from disk
    - Initialize user context
    - Set communication preferences

  menu:
    - trigger: help
      description: Show help
      action: display_help
